local fn = _gn(0x3c2f9037)
--- **Experimental**: This native may be altered or removed in future versions of CitizenFX without warning.
-- Registers a set of archetypes with the game engine. These should match `CBaseArchetypeDef` class information from the game.
-- @param factory A function returning a list of archetypes.
function Global.RegisterArchetypes(factory)
	return _in2(fn, _mfr(factory))
end
